=head1 NAME

Gtk2::PaperSize

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::PaperSize


=head1 METHODS

=head2 papersize = Gtk2::PaperSize-E<gt>B<new> ($name)

=over

=over

=item * $name (string or undef) 

=back

=back

=head2 papersize = Gtk2::PaperSize-E<gt>B<new_custom> ($name, $display_name, $width, $height, $unit)

=over

=over

=item * $name (string) 

=item * $display_name (string) 

=item * $width (double) 

=item * $height (double) 

=item * $unit (Gtk2::Unit) 

=back

=back

=head2 papersize = Gtk2::PaperSize-E<gt>B<new_from_key_file> ($key_file, $group_name)

=over

=over

=item * $key_file (Glib::KeyFile) 

=item * $group_name (string) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.12

=back

=head2 papersize = Gtk2::PaperSize-E<gt>B<new_from_ppd> ($ppd_name, $ppd_display_name, $width, $height)

=over

=over

=item * $ppd_name (string) 

=item * $ppd_display_name (string) 

=item * $width (double) 

=item * $height (double) 

=back

=back

=head2 double = $size-E<gt>B<get_default_bottom_margin> ($unit)

=over

=over

=item * $unit (Gtk2::Unit) 

=back

=back

=head2 string = Gtk2::PaperSize-E<gt>B<get_default> 

=over

=back

=head2 double = $size-E<gt>B<get_default_left_margin> ($unit)

=over

=over

=item * $unit (Gtk2::Unit) 

=back

=back

=head2 double = $size-E<gt>B<get_default_right_margin> ($unit)

=over

=over

=item * $unit (Gtk2::Unit) 

=back

=back

=head2 double = $size-E<gt>B<get_default_top_margin> ($unit)

=over

=over

=item * $unit (Gtk2::Unit) 

=back

=back

=head2 string = $size-E<gt>B<get_display_name> 

=over

=back

=head2 double = $size-E<gt>B<get_height> ($unit)

=over

=over

=item * $unit (Gtk2::Unit) 

=back

=back

=head2 boolean = $size-E<gt>B<is_custom> 

=over

=back

=head2 boolean = $size1-E<gt>B<is_equal> ($size2)

=over

=over

=item * $size2 (Gtk2::PaperSize) 

=back

=back

=head2 string = $size-E<gt>B<get_name> 

=over

=back

=head2 list = Gtk2::PaperSize::get_paper_sizes ($include_custom)

=over

=over

=item * $include_custom (boolean) 

=back



Since: gtk+ 2.12

=back

=head2 string or undef = $size-E<gt>B<get_ppd_name> 

=over

=back

=head2 $size-E<gt>B<set_size> ($width, $height, $unit)

=over

=over

=item * $width (double) 

=item * $height (double) 

=item * $unit (Gtk2::Unit) 

=back

=back

=head2 $size-E<gt>B<to_key_file> ($key_file, $group_name)

=over

=over

=item * $key_file (Glib::KeyFile) 

=item * $group_name (string) 

=back

Since: gtk+ 2.12

=back

=head2 double = $size-E<gt>B<get_width> ($unit)

=over

=over

=item * $unit (Gtk2::Unit) 

=back

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::Unit

=over

=item * 'pixel' / 'GTK_UNIT_PIXEL'

=item * 'points' / 'GTK_UNIT_POINTS'

=item * 'inch' / 'GTK_UNIT_INCH'

=item * 'mm' / 'GTK_UNIT_MM'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

